Bug 826109 - CVE-2012-2389 hostapd: insecure default permissions on /etc/hostapd/hostapd.conf [fedora-all]
CVE-2012-2389 hostapd: insecure default permissions on /etc/hostapd/hostapd.c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hostapd (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On: 824661
Blocks: CVE-2012-2389
  Show dependency treegraph
 
Reported: 2012-05-29 11:45 EDT by John W. Linville
Modified: 2012-06-07 19:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 824661
Environment:
Last Closed: 2012-06-07 19:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2012-05-29 11:45:51 EDT
+++ This bug was initially created as a clone of Bug #824661 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=824660

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

--- Additional comment from updates@fedoraproject.org on 2012-05-25 14:51:21 EDT ---

hostapd-0.7.3-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hostapd-0.7.3-6.fc16

--- Additional comment from updates@fedoraproject.org on 2012-05-26 21:51:17 EDT ---

Package hostapd-0.7.3-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hostapd-0.7.3-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8464/hostapd-0.7.3-6.fc16
then log in and leave karma (feedback).

--- Additional comment from jlieskov@redhat.com on 2012-05-28 04:00:37 EDT ---

Thank you for the Fedora 16 update, John.

(In reply to comment #1)
> hostapd-0.7.3-6.fc16 has been submitted as an update for Fedora 16.
> https://admin.fedoraproject.org/updates/hostapd-0.7.3-6.fc16

Could you schedule Fedora 15's hostapd package update too (Fedora 15 is still supported).

Thank you, Jan.
Comment 1 Fedora Update System 2012-05-29 11:47:56 EDT
hostapd-0.7.3-2.1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/hostapd-0.7.3-2.1.fc15
Comment 2 Fedora Update System 2012-05-29 17:59:11 EDT
Package hostapd-0.7.3-2.1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hostapd-0.7.3-2.1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8611/hostapd-0.7.3-2.1.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-06-07 19:10:18 EDT
hostapd-0.7.3-2.1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.